For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all persons
      • POSTCreate a person
      • GETGet a person
      • DELDelete a person
      • PATCHUpdate a person
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity persons

Get all persons

GET
/persons
GET
/v1/persons
$curl https://api.sandbox.monite.com/v1/persons \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "email": "email",
8 "entity_id": "entity_id",
9 "first_name": "first_name",
10 "last_name": "last_name",
11 "relationship": {
12 "director": true,
13 "executive": true,
14 "owner": true,
15 "percent_ownership": 1.1,
16 "representative": true,
17 "title": "title"
18 },
19 "address": {
20 "city": "city",
21 "country": "country",
22 "line1": "line1",
23 "postal_code": "postal_code",
24 "line2": "line2",
25 "state": "state"
26 },
27 "date_of_birth": "date_of_birth",
28 "id_number": "id_number",
29 "phone": "phone",
30 "ssn_last_4": "ssn_last_4"
31 }
32 ]
33}
Was this page helpful?
Previous

Create a person

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects
array of objects of type person

Errors

422
Get Persons Request Unprocessable Entity Error
500
Get Persons Request Internal Server Error